Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Backends for the gio framework in GLib
Name: 		gvfs
Version: 	0.2.5
Release: 	1
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		http://www.gtk.org
Source: 	http://download.gnome.org/sources/gvfs/0.2/gvfs-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	pkgconfig
BuildRequires: 	glib-devel >= 2.15.6
BuildRequires: 	dbus-glib-devel 
BuildRequires: 	/usr/bin/ssh
BuildRequires: 	libcdio-devel >= 0.78.2
BuildRequires: 	fuse-userspace-devel
BuildRequires: 	hal-devel >= 0.5.10
BuildRequires: 	libsoup-devel >= 2.3.0
BuildRequires: 	samba-devel
BuildRequires: 	avahi-devel >= 0.6
BuildRequires: 	libgphoto2-devel
BuildRequires: 	gnome-keyring-devel
BuildRequires: 	intltool
BuildRequires: 	gettext-devel
BuildRequires: 	perl(XML::Parser)
BuildRequires: 	GConf-devel
BuildRequires: 	bluez-devel >= 3.12
BuildRequires: 	expat-devel


%description
The gvfs package provides backend implementations for the gio 
framework in GLib. It includes ftp, sftp, cifs. 

%package devel
Summary: 	Development files for gvfs
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
The gvfs-devel package contains headers and other files that are
required to develop applications using gvfs.




%prep
%setup -q

%build
%configure --libexecdir=%_libdir/gvfs
make # %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%find_lang gvfs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# Reload .mount files:
killall -USR1 gvfsd > /dev/null || :

%postun -p /sbin/ldconfig

%files -f gvfs.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/gvfs/mounts/trash.mount
#%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/obexftp.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/archive.mount
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_libdir}/libgvfscommon.so.*
%{_libdir}/gio/modules/libgiohal-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libdir}/gio/modules/libgiogconf.so
%_libdir/gvfs/gvfs-fuse-daemon
%_libdir/gvfs/gvfsd
%_libdir/gvfs/gvfsd-ftp
%_libdir/gvfs/gvfsd-sftp
%_libdir/gvfs/gvfsd-smb
%_libdir/gvfs/gvfsd-smb-browse
%_libdir/gvfs/gvfsd-trash
#%_libdir/gvfs/gvfsd-cdda
%_libdir/gvfs/gvfsd-computer
%_libdir/gvfs/gvfsd-dav
%_libdir/gvfs/gvfsd-http
%_libdir/gvfs/gvfsd-localtest
%_libdir/gvfs/gvfsd-burn
%_libdir/gvfs/gvfsd-dnssd
%_libdir/gvfs/gvfsd-gphoto2
%_libdir/gvfs/gvfsd-network
%_libdir/gvfs/gvfsd-obexftp
%_libdir/gvfs/gvfsd-ftp
%_libdir/gvfs/gvfsd-archive
%{_bindir}/gvfs-cat
%{_bindir}/gvfs-copy
%{_bindir}/gvfs-info
%{_bindir}/gvfs-less
%{_bindir}/gvfs-ls
%{_bindir}/gvfs-mkdir
%{_bindir}/gvfs-monitor-dir
%{_bindir}/gvfs-monitor-file
%{_bindir}/gvfs-mount
%{_bindir}/gvfs-move
%{_bindir}/gvfs-open
%{_bindir}/gvfs-rm
%{_bindir}/gvfs-save
%{_bindir}/gvfs-trash
%{_bindir}/gvfs-tree
%{_bindir}/gvfs-rename


%files devel
%defattr(-, root, root, -)
%dir %{_includedir}/gvfs-client
%dir %{_includedir}/gvfs-client/gvfs
%{_includedir}/gvfs-client/gvfs/gvfsurimapper.h
%{_includedir}/gvfs-client/gvfs/gvfsuriutils.h
%{_libdir}/libgvfscommon.so
%{_libdir}/*.la
%{_libdir}/gio/modules/*.la

%changelog
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.5-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.3-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0.1-1
- Initial release
